Subject: bug#20991: AW: AW: bug#20991: 24.5; start iconified in Windows disfunctional

From: Jurzitza Dieter <[email-masked]>
Date: Thu, 9 Jul 2015 06:06:00 +0000

Hello Eli,
thank you very much for your time and your efforts. I really appreciate all the work you are doing and consequently providing such a tool like Emacs. 
Emacs on Windows is not my preferred working environment, however, my business environment forces me to use Windows the most part of the day, so I am very happy that people like you make it possible to continue using my preferred editor at least.
I will test again in a little while from now and report my findings again - many thanks for your efforts until then,
take care

Dieter Jurzitza

> -----Ursprüngliche Nachricht-----
> Von: Eli Zaretskii [mailto:[email-masked]]
> Gesendet: Mittwoch, 8. Juli 2015 16:27
> An: Jurzitza Dieter
> Cc: [email-masked]; [email-masked]
> Betreff: Re: AW: bug#20991: 24.5; start iconified in Windows disfunctional
> 
> > From: Jurzitza Dieter <[email-masked]>
> > CC: "[email-masked]" <[email-masked]>
> > Date: Wed, 8 Jul 2015 11:09:14 +0000
> >
> > - adjusting the desktop icon's properties  in such a way that the
> > application should start iconified does currently not work (GNU Emacs
> 25.0.50.1 (x86_64-w64-mingw32)  of 2015-06-26 on KAEL), emacs pops up in the
> foreground (using "runemacs"). You have to add "-iconic" to the commandline of
> the icon configuration in order to make this functional.
> >
> > The second case is kind of toleable but still emacs does not behave as a
> regular windows application would do. Apparently the attributes of the icon do not
> get propagated to the application somehow.
> 
> The properties do get propagated to the application, but it's not the application
> you want.  The runemacs.exe application indeed runs minimized, but you want
> emacs.exe to start minimized instead.  That's not something that can work
> without us coding it specifically to work this way, as in general these properties
> are not automatically passed from parent process to the child processes.
> 
> I installed a change to run Emacs with the --iconic option when runemacs.exe is
> invoked "minimized".  So some next binary of a development snapshot you will
> download will work as you expect.
> 
> With all the issues in this bug report now resolved, I'm closing it.
> 
> Thanks.